Skip to content
Last updated

title: List Execution Logs keywords:

  • list execution logs
  • get
  • list
  • execution
  • logs

List tool execution logs for the authenticated user.

GEThttps://api.aitronos.com/v1/personal-connectors/logs

Query Parameters

organization_id string required

Organization ID

credential_id string optional

Filter by credential ID

status string optional

Filter by status (success, error, blocked, timeout)

start_date string optional

Filter logs from this date

end_date string optional

Filter logs until this date

limit integer optional · Defaults to 50

Max logs to return

offset integer optional · Defaults to 0

Pagination offset


Returns

logs array of object

List of execution logs

total integer

Total number of logs matching filters

returned integer

Number of logs returned

has_more boolean

Whether more logs are available

cURL
curl -X GET "https://api.aitronos.com/v1/personal-connectors/logs" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "logs": [
    {
      "id": "abc123def456",
      "created_at": "2025-11-15T10:30:00Z"
    }
  ],
  "total": 42,
  "returned": 1,
  "has_more": true
}